This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 38548 - can't text install with 16 MB RAM (not enough RAM)
can't text install with 16 MB RAM (not enough RAM)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-01 09:57 EDT by Bill Carlson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 16:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Carlson 2001-05-01 09:57:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18 i686; Nav)


Using the bootnet.img, the installer boots fine, but judges the system
short on RAM.
Supposedly 16 MB is the current minimum, which this machine has.
Hardware is known good on previous version of Redhat:
486/AMD 120MHz

Reproducible: Didn't try
Steps to Reproduce:
1. Make boot Image
2. Boot 
3. Choose text install
	

Actual Results:  Dialog box "This machine does not have sufficient memory"
or something along those lines. Will verify actual text and update

I am confident the kernel is finding all the RAM, it's just a matter of the
calculation.
Comment 1 Brent Fox 2001-05-01 11:12:44 EDT
A few questions:
1) How much ram does the machine have?
2) How are you sure that the kernel is seeing all the RAM?

Try booting with saying something like 'linux mem=32MB' or however much ram you
have to make sure that the kernel sees all the RAM.
Comment 2 Bill Carlson 2001-05-01 12:06:27 EDT
1) The machine has 16MB of RAM, ONLY 16 MB of RAM.
2) I'm confident it is not a matter of the kernel seeing the RAM. It's a machine
that at one time had more RAM running Redhat 4.2, not a problem.

I'm assuming the minimum for install is 16 MB RAM.
Comment 3 Brent Fox 2001-05-01 14:59:23 EDT
No, you need more than 16MB for the 2.4 kernel to run with acceptable
performance.  Anything above 16 MB is ok, so 17 MB is the minimum that the
installer allows.  If you look in isys.h in the installer:

#define MIN_RAM                 17000       /* 20M or so */


If you know how to modify the installer, you can force it to ignore the amount
of RAM.  Try booting with 'linux mem=20M' and see if you can get text mode
install to work.  Don't be surprised, though, if the installation crashed
becuase the kernel runs out of memory and kills the anaconda process.  :)
Comment 4 Brent Fox 2001-05-14 16:17:40 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.